---
triple:          'x86_64-apple-darwin'
binary-path:     '/Users/jenkins/workspace/Build_JDK25_x86-64_mac_Nightly/build/macosx-x86_64-server-release/support/test/hotspot/jtreg/native/lib/libmonitorwait01.dylib'
relocations:
  - { offsetInCU: 0x46, offset: 0x46, size: 0x8, addend: 0x0, symName: __Z14TranslateStatei, symObjAddr: 0x6B0, symBinAddr: 0x1BA0, symSize: 0x320 }
  - { offsetInCU: 0x71, offset: 0x71, size: 0x8, addend: 0x0, symName: __ZZ14TranslateStateiE3str, symObjAddr: 0x23CD0, symBinAddr: 0x8050, symSize: 0x0 }
  - { offsetInCU: 0xA4, offset: 0xA4, size: 0x8, addend: 0x0, symName: _agent_wait_for_sync, symObjAddr: 0xEE0, symBinAddr: 0x1EF0, symSize: 0x240 }
  - { offsetInCU: 0x4E7, offset: 0x4E7, size: 0x8, addend: 0x0, symName: __ZL20current_agent_status, symObjAddr: 0x23E20, symBinAddr: 0x8180, symSize: 0x0 }
  - { offsetInCU: 0x505, offset: 0x505, size: 0x8, addend: 0x0, symName: __ZL17agent_thread_proc, symObjAddr: 0x23E28, symBinAddr: 0x8188, symSize: 0x0 }
  - { offsetInCU: 0x9152, offset: 0x9152, size: 0x8, addend: 0x0, symName: __ZL16agent_thread_arg, symObjAddr: 0x23E30, symBinAddr: 0x8190, symSize: 0x0 }
  - { offsetInCU: 0x916B, offset: 0x916B, size: 0x8, addend: 0x0, symName: __ZL15agent_jvmti_env, symObjAddr: 0x23E38, symBinAddr: 0x8198, symSize: 0x0 }
  - { offsetInCU: 0x9184, offset: 0x9184, size: 0x8, addend: 0x0, symName: __ZL13agent_jni_env, symObjAddr: 0x23E40, symBinAddr: 0x81A0, symSize: 0x0 }
  - { offsetInCU: 0x919D, offset: 0x919D, size: 0x8, addend: 0x0, symName: __ZL10agent_data, symObjAddr: 0x23E48, symBinAddr: 0x81A8, symSize: 0x0 }
  - { offsetInCU: 0x9226, offset: 0x9226, size: 0x8, addend: 0x0, symName: __ZL18jvmti_agent_thread, symObjAddr: 0x23E80, symBinAddr: 0x81E0, symSize: 0x0 }
  - { offsetInCU: 0x923F, offset: 0x923F, size: 0x8, addend: 0x0, symName: __ZL15expected_thread, symObjAddr: 0x23E58, symBinAddr: 0x81B8, symSize: 0x0 }
  - { offsetInCU: 0x9258, offset: 0x9258, size: 0x8, addend: 0x0, symName: __ZL15expected_object, symObjAddr: 0x23E60, symBinAddr: 0x81C0, symSize: 0x0 }
  - { offsetInCU: 0x9271, offset: 0x9271, size: 0x8, addend: 0x0, symName: __ZL11eventsCount, symObjAddr: 0x23E68, symBinAddr: 0x81C8, symSize: 0x0 }
  - { offsetInCU: 0x928A, offset: 0x928A, size: 0x8, addend: 0x0, symName: __ZL7timeout, symObjAddr: 0x23E70, symBinAddr: 0x81D0, symSize: 0x0 }
  - { offsetInCU: 0x92AD, offset: 0x92AD, size: 0x8, addend: 0x0, symName: __ZL5jvmti, symObjAddr: 0x23E78, symBinAddr: 0x81D8, symSize: 0x0 }
  - { offsetInCU: 0x92C6, offset: 0x92C6, size: 0x8, addend: 0x0, symName: __ZL3jni, symObjAddr: 0x23E88, symBinAddr: 0x81E8, symSize: 0x0 }
  - { offsetInCU: 0x9357, offset: 0x9357, size: 0x8, addend: 0x0, symName: __Z14TranslateError10jvmtiError, symObjAddr: 0xA00, symBinAddr: 0x1EC0, symSize: 0x30 }
  - { offsetInCU: 0x95E1, offset: 0x95E1, size: 0x8, addend: 0x0, symName: __Z17print_thread_infoP9_jvmtiEnvP7JNIEnv_P8_jobject, symObjAddr: 0x550, symBinAddr: 0x1A40, symSize: 0x160 }
  - { offsetInCU: 0x9AA2, offset: 0x9AA2, size: 0x8, addend: 0x0, symName: __ZN16RawMonitorLockerD1Ev, symObjAddr: 0x1120, symBinAddr: 0x2130, symSize: 0x70 }
  - { offsetInCU: 0x9B7B, offset: 0x9B7B, size: 0x8, addend: 0x0, symName: _agent_resume_sync, symObjAddr: 0x1190, symBinAddr: 0x21A0, symSize: 0x1A0 }
  - { offsetInCU: 0xA0BA, offset: 0xA0BA, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_checkStatus, symObjAddr: 0x1330, symBinAddr: 0x2340, symSize: 0x4F0 }
  - { offsetInCU: 0xA9F1, offset: 0xA9F1, size: 0x8, addend: 0x0, symName: __ZN7JNIEnv_9NewObjectEP7_jclassP10_jmethodIDz, symObjAddr: 0x1EC0, symBinAddr: 0x2ED0, symSize: 0xB0 }
  - { offsetInCU: 0xAA68, offset: 0xAA68, size: 0x8, addend: 0x0, symName: _Java_jdk_test_lib_jvmti_DebugeeClass_resetAgentData, symObjAddr: 0x1820, symBinAddr: 0x2830, symSize: 0x1A0 }
  - { offsetInCU: 0xADBF, offset: 0xADBF, size: 0x8, addend: 0x0, symName: _MonitorWait, symObjAddr: 0x19C0, symBinAddr: 0x29D0, symSize: 0x130 }
  - { offsetInCU: 0xB04C, offset: 0xB04C, size: 0x8, addend: 0x0, symName: _Agent_Initialize, symObjAddr: 0x1AF0, symBinAddr: 0x2B00, symSize: 0x1C0 }
  - { offsetInCU: 0xB2BB, offset: 0xB2BB, size: 0x8, addend: 0x0, symName: __ZL9agentProcP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1CB0, symBinAddr: 0x2CC0, symSize: 0x130 }
  - { offsetInCU: 0xB461, offset: 0xB461, size: 0x8, addend: 0x0, symName: _Java_monitorwait01_setExpected, symObjAddr: 0x1DE0, symBinAddr: 0x2DF0, symSize: 0xB0 }
  - { offsetInCU: 0xB5A6, offset: 0xB5A6, size: 0x8, addend: 0x0, symName: _Agent_OnLoad, symObjAddr: 0x1E90, symBinAddr: 0x2EA0, symSize: 0x10 }
  - { offsetInCU: 0xB5FC, offset: 0xB5FC, size: 0x8, addend: 0x0, symName: _Agent_OnAttach, symObjAddr: 0x1EA0, symBinAddr: 0x2EB0, symSize: 0x10 }
  - { offsetInCU: 0xB652, offset: 0xB652, size: 0x8, addend: 0x0, symName: __ZL20agent_thread_wrapperP9_jvmtiEnvP7JNIEnv_Pv, symObjAddr: 0x1F70, symBinAddr: 0x2F80, symSize: 0x60 }
  - { offsetInCU: 0xB708, offset: 0xB708, size: 0x8, addend: 0x0, symName: __ZL22set_agent_thread_state14thread_state_t, symObjAddr: 0x1FD0, symBinAddr: 0x2FE0, symSize: 0x162 }
...
